EmbDataTest Class Reference

`#include <EmbDataTest.h>`

Inheritance diagram for EmbDataTest:

## Public Member Functions

| EmbDataTest (TestSuite *s)
void | testEmbedding (void)
void | testExtracting (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
virtual void | setup (void)
void | run (void)
virtual void | cleanup (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Member Functions

bool | genericTestEmbedding (EmbData emb, BitString shouldbe)
bool | feed_to (const BitString &bs, EmbData &emb)

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## EmbDataTest()

EmbDataTest::EmbDataTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## feed_to()

bool EmbDataTest::feed_to | ( | const BitString & | bs,
|  | EmbData & | emb )

private

pass the BitString bs to emb using getNumBitsNeeded and addBits

Returns
  true iff emb took exactly the (number of) bits from bs

## genericTestEmbedding()

bool EmbDataTest::genericTestEmbedding | ( | EmbData | emb,
|  | BitString | shouldbe )

private

## testEmbedding()

void EmbDataTest::testEmbedding | ( | void |  | ) |

## testExtracting()

void EmbDataTest::testExtracting | ( | void |  | ) |

The documentation for this class was generated from the following files:

- EmbDataTest.h
- EmbDataTest.cc